export declare const accent: {
    readonly maroon: "#C72352";
    readonly scarlet: "#c72905";
    readonly ember: "#ff1623";
    readonly violet: "#460479";
    readonly peach: "#f7e0d0";
    readonly navy: "#0f083c";
    readonly yellow: "#ffdc4a";
    readonly rose: "#ffa78f";
    readonly pink: "#ff9e9f";
    readonly sky: "#b3d9da";
    readonly sea: "#008489";
    readonly "cherry-100": "#e61e4d";
    readonly "cherry-200": "#e31c5f";
    readonly "cherry-300": "#d70466";
    readonly "luxe-100": "#59086e";
    readonly "luxe-200": "#460479";
    readonly "luxe-300": "#440589";
    readonly "ruby-100": "#bd1e59";
    readonly "ruby-200": "#92174d";
    readonly "ruby-300": "#861453";
};
export declare const palette: {
    readonly "crimson-10": "#FFF8F6";
    readonly "crimson-50": "#FFDFD9";
    readonly "crimson-100": "#D40029";
    readonly "crimson-200": "#B80024";
    readonly "crimson-300": "#94001D";
    readonly "tangerine-10": "#FFFBF6";
    readonly "tangerine-50": "#FFEDD9";
    readonly "tangerine-100": "#E07912";
    readonly "tangerine-200": "#B86200";
    readonly "tangerine-300": "#944F00";
    readonly "teal-10": "#F5FFFF";
    readonly "teal-50": "#DBFEFF";
    readonly "teal-100": "#60B6B5";
    readonly "teal-200": "#008384";
    readonly "teal-300": "#006266";
    readonly "indigo-10": "#FBF5FF";
    readonly "indigo-50": "#EFDCFE";
    readonly "indigo-100": "#5E05A3";
    readonly "indigo-200": "#460479";
    readonly "indigo-300": "#390363";
    readonly "dark-100": "#000000";
    readonly "dark-90": "#000100";
    readonly "dark-80": "#222222";
    readonly "dark-70": "#484848";
    readonly "dark-60": "#767676";
    readonly "dark-50": "#8f8f8f";
    readonly "dark-40": "#cccccc";
    readonly "dark-30": "#e0e0e0";
    readonly "dark-20": "#ebebeb";
    readonly "dark-10": "#f5f5f5";
    readonly "dark-05": "#f8f8f8";
};
export declare const bgPrimary: {
    readonly "primary-brand": "#ff385c";
    readonly primary: "#ffffff";
    readonly "primary-hover": "#f3f3f3";
    readonly "primary-disabled": "#f3f3f3";
    readonly "primary-inverse": "#000000";
    readonly "primary-inverse-hover": "#222222";
    readonly "primary-inverse-pressed": "#4b4b4b";
    readonly "primary-inverse-disabled": "#f3f3f3";
};
export declare const bgSecondary: {
    readonly "secondary-brand": "#E61E4D";
    readonly secondary: "#f3f3f3";
    readonly "secondary-hover": "#dddddd";
    readonly "secondary-pressed": "#c6c6c6";
    readonly "secondary-disabled": "#f3f3f3";
    readonly "secondary-inverse": "#000000";
    readonly "secondary-inverse-hover": "#222222";
    readonly "secondary-inverse-pressed": "#4b4b4b";
    readonly "secondary-inverse-disabled": "#f7f7f7";
};
export declare const bgSuccess: {
    readonly success: "#f5ffff";
    readonly "success-inverse": "#008384";
    readonly "success-inverse-hover": "#008384";
    readonly "success-inverse-pressed": "#008384";
    readonly "success-secondary": "#dbfeff";
};
export declare const bgWarning: {
    readonly warning: "#fffbf6";
    readonly "warning-inverse": "#e07912";
    readonly "warning-inverse-hover": "#e07912";
    readonly "warning-inverse-pressed": "#e07912";
    readonly "warning-secondary": "#ffedd9";
};
export declare const bgError: {
    readonly error: "#fff0ee";
    readonly "error-inverse": "#de1135";
    readonly "error-inverse-hover": "#bb032a";
    readonly "error-inverse-pressed": "#950f22";
    readonly "error-secondary": "#ffdfd9";
    readonly "error-tertiary": "#fc7f79";
    readonly "error-field": "rgba(255, 96, 63, 0.2)";
};
export declare const bgInfo: {
    readonly info: "#fbf5ff";
    readonly "info-inverse": "#460479";
    readonly "info-inverse-hover": "#460479";
    readonly "info-inverse-pressed": "#460479";
    readonly "info-secondary": "#efdcfe";
};
export declare const bgTertiary: {
    readonly tertiary: "#b0b0b0";
    readonly "tertiary-hover": "#6a6a6a";
    readonly "tertiary-disabled": "#ebebeb";
    readonly "tertiary-brand": "#e00b41";
};
export declare const bgQuartenary: {
    readonly quaternary: "#f2f2f2";
    readonly "quaternary-hover": "#ebebeb";
};
export declare const borderColor: {
    readonly "primary-field": "#e0e0e0";
    readonly active: "#272727";
    readonly success: "#008384";
    readonly warning: "#b86200";
    readonly error: "#d40029";
    readonly info: "#460479";
    readonly primary: "#222222";
    readonly "primary-hover": "#000000";
    readonly "primary-disabled": "#DDDDDD";
    readonly "primary-inverse": "#FFFFFF";
    readonly secondary: "#B0B0B0";
    readonly "secondary-hover": "#222222";
    readonly "secondary-selected": "#222222";
    readonly "secondary-disabled": "#EBEBEB";
    readonly "secondary-error": "#C13515";
    readonly tertiary: "#DDDDDD";
    readonly "tertiary-hover": "#000000";
    readonly "tertiary-selected": "#222222";
    readonly "tertiary-error": "#C13515";
    readonly "tertiary-error-hover": "#B32505";
    readonly quarternary: "#8C8C8C";
};
export declare const iconColors: {
    success: string;
    "success-hover": string;
    warning: string;
    "warning-hover": string;
    error: string;
    "error-hover": string;
    info: string;
    "info-hover": string;
};
export declare const textColors: {
    readonly "primary-brand": "linear-gradient(to right, #e61e4d 0%, #e31c5f 50%, #d70466 100%)";
    readonly focused: "#3f3f3f";
    readonly "link-disabled": "#929292";
    readonly primary: "#222222";
    readonly "primary-inverse": "#ffffff";
    readonly "primary-hover": "#000000";
    readonly "primary-disabled": "#a6a6a6";
    readonly secondary: "#6a6a6a";
    readonly "secondary-disabled": "#dddddd";
    /**
     * Success
     */
    readonly success: "#008384";
    readonly "success-hover": "#006266";
    readonly "success-inverse": "#f5ffff";
    readonly "success-inverse-hover": "#ffffff";
    readonly "success-secondary": "#006266";
    /**
     * Warning
     */
    readonly warning: "#b86200";
    readonly "warning-hover": "#944f00";
    readonly "warning-inverse": "#fffbf6";
    readonly "warning-inverse-hover": "#ffffff";
    readonly "warning-secondary": "#944f00";
    /**
     * Error
     */
    readonly error: "#d40029";
    readonly "error-hover": "#b80024";
    readonly "error-inverse": "#fff8f6";
    readonly "error-inverse-hover": "#ffffff";
    readonly "error-secondary": "#b80024";
    readonly "error-secondary-inverse": "rgba(255, 96, 63, 0.2)";
    /**
     * Info
     */
    readonly info: "#460479";
    readonly "info-hover": "#390363";
    readonly "info-inverse": "#fbf5ff";
    readonly "info-inverse-hover": "#ffffff";
    readonly "info-secondary": "#390363";
};
export declare const borderColors: {
    readonly primary: "#222222";
    readonly "primary-hover": "#000000";
    readonly "primary-disabled": "#dddddd";
    readonly "primary-inverse": "#ffffff";
    readonly secondary: "#b0b0b0";
    readonly "secondary-hover": "#222222";
    readonly "secondary-selected": "#222222";
    readonly "secondary-disabled": "#ebebeb";
    readonly "secondary-error": "#c13515";
    readonly tertiary: "#dddddd";
    readonly "tertiary-hover": "#000000";
    readonly "tertiary-selected": "#222222";
    readonly "tertiary-error": "#c13515";
    readonly "tertiary-error-hover": "#b32505";
    readonly quarternary: "#8c8c8c";
};
export declare const brand: {
    readonly primary: {
        readonly 100: "hsl(358, 100%, 68%)";
        readonly 200: "hsl(358, 83%, 64%)";
        readonly 300: "hsl(358, 75%, 58%)";
        readonly 10: "hsla(358, 100%, 68%, 0.1)";
        readonly 20: "hsla(358, 100%, 68%, 0.2)";
        readonly 30: "hsla(358, 100%, 68%, 0.3)";
        readonly 40: "hsla(358, 100%, 68%, 0.4)";
        readonly 50: "hsla(358, 100%, 68%, 0.5)";
        readonly 60: "hsla(358, 100%, 68%, 0.6)";
        readonly 70: "hsla(358, 100%, 68%, 0.7)";
        readonly 80: "hsla(358, 100%, 68%, 0.8)";
        readonly 90: "hsla(358, 100%, 68%, 0.9)";
    };
    readonly secondary: {
        readonly "100": "hsl(181, 100%, 27%)";
        readonly "200": "hsl(186, 100%, 26%)";
        readonly "300": "hsl(182, 100%, 22%)";
        readonly "10": "hsla(181, 100%, 27%, 0.1)";
        readonly "20": "hsla(181, 100%, 27%, 0.2)";
        readonly "30": "hsla(181, 100%, 27%, 0.3)";
        readonly "40": "hsla(181, 100%, 27%, 0.4)";
        readonly "50": "hsla(181, 100%, 27%, 0.5)";
        readonly "60": "hsla(181, 100%, 27%, 0.6)";
        readonly "70": "hsla(181, 100%, 27%, 0.7)";
        readonly "80": "hsla(181, 100%, 27%, 0.8)";
        readonly "90": "hsla(181, 100%, 27%, 0.9)";
    };
    readonly "secondary-alt": {
        readonly "300": "#005965";
        readonly "200": "#006C70";
        readonly "100": "#00797e";
        readonly "90": "#008489";
        readonly "80": "hsl(182, 100%, 36%)";
        readonly "70": "hsl(182, 58%, 52%)";
        readonly "60": "hsl(182, 57%, 60%)";
        readonly "50": "hsl(182, 54%, 66%)";
        readonly "40": "hsl(182, 49%, 72%)";
        readonly "30": "hsl(182, 35%, 78%)";
        readonly "20": "hsl(181, 40%, 79%)";
        readonly "10": "hsl(181, 45%, 80%)";
        readonly "05": "hsl(181, 46%, 82%)";
    };
    readonly maroon: {
        "10": string;
        "100": string;
        "200": string;
        "300": string;
    };
};
export declare const dark: {
    readonly "100": "rgba(0, 0, 0, 1)";
    readonly "90": "rgba(0, 0, 0, 0.94)";
    readonly "80": "rgba(0, 0, 0, 0.84)";
    readonly "70": "rgba(0, 0, 0, 0.72)";
    readonly "60": "rgba(0, 0, 0, 0.54)";
    readonly "50": "rgba(0, 0, 0, 0.44)";
    readonly "40": "rgba(0, 0, 0, 0.2)";
    readonly "30": "rgba(0, 0, 0, 0.12)";
    readonly "20": "rgba(0, 0, 0, 0.08)";
    readonly "10": "rgba(0, 0, 0, 0.04)";
};
export declare const darkHex: {
    readonly "100": "#000000";
    readonly "90": "#000100";
    readonly "80": "#272727";
    readonly "70": "#484848";
    readonly "60": "#767676";
    readonly "50": "#8f8f8f";
    readonly "40": "#cccccc";
    readonly "30": "#e0e0e0";
    readonly "20": "#ebebeb";
    readonly "10": "#f5f5f5";
};
export declare const light: {
    readonly "100": "rgba(255, 255, 255, 1)";
    readonly "90": "rgba(255, 255, 255, 0.84)";
    readonly "80": "rgba(255, 255, 255, 0.71)";
    readonly "70": "rgba(255, 255, 255, 0.54)";
    readonly "60": "rgba(255, 255, 255, 0.4)";
    readonly "50": "rgba(255, 255, 255, 0.2)";
    readonly "40": "rgba(255, 255, 255, 0.16)";
    readonly "30": "rgba(255, 255, 255, 0.1)";
    readonly "20": "rgba(255, 255, 255, 0.06)";
    readonly "10": "rgba(255, 255, 255, 0.02)";
};
export declare const lightHex: {
    readonly "100": "#ffffff";
    readonly "90": "#dcdcdc";
    readonly "80": "#c0c0c0";
    readonly "70": "#9c9c9c";
};
