import { accent, bgPrimary, bgSecondary, bgTertiary, bgQuartenary, brand, dark, darkHex, light, lightHex, palette, bgError } from './color';
import { boxShadow } from './box-shadow';
import { breakpoints, breakpointNames, breakpointsValue } from './breakpoints';
import { display } from './display';
import { fontFamily } from './font-family';
import { flexWrap } from './flex';
import { width, gutter } from './layout';
import { fontWeight, displays, headings, labels, paragraphs } from './typography';
import { space } from './space';
import { zIndex } from './z-indices';
import { timing, easing } from './animation';
export { accent, bgPrimary, bgSecondary, bgTertiary, bgQuartenary, bgError, brand, dark, darkHex, display, flexWrap, light, lightHex, boxShadow, breakpoints, breakpointNames, breakpointsValue, fontFamily, gutter, width, space, fontWeight, zIndex, displays, headings, labels, paragraphs, timing, easing, palette };
export declare const variables: {
    shadow: {
        readonly "shallow-above": "0px -4px 16px 0px rgba(0, 0, 0, 0.12)";
        readonly "shallow-below": "0px 4px 16px 0px rgba(0, 0, 0, 0.12)";
        readonly "medium-above": "0px -6px 20px 0px rgba(0, 0, 0, 0.2)";
        readonly "medium-below": "0px 6px 20px 0px rgba(0, 0, 0, 0.2)";
        readonly "deep-above": "0px -16px 48px 0px rgba(0, 0, 0, 0.22)";
        readonly "deep-below": "0px 16px 48px 0px rgba(0, 0, 0, 0.22)";
        readonly card: "0px 4px 4px rgba(0,0,0,.25)";
        readonly "drop-shadow": "0px 1px 10px #bfbfbf";
        readonly "button-focus": "0px 0px 0px 1.5px var(--tenka-bg-primary), 0px 0px 0px 4px var(--tenka-text-primary)";
        readonly "button-critical-focus": "0px 0px 0px 1.5px var(--tenka-bg-primary), 0px 0px 0px 4px var(--tenka-text-error)";
    };
    accent: {
        readonly maroon: "#C72352";
        readonly scarlet: "#c72905";
        readonly ember: "#ff1623";
        readonly violet: "#460479";
        readonly peach: "#f7e0d0";
        readonly navy: "#0f083c";
        readonly yellow: "#ffdc4a";
        readonly rose: "#ffa78f";
        readonly pink: "#ff9e9f";
        readonly sky: "#b3d9da";
        readonly sea: "#008489";
        readonly "cherry-100": "#e61e4d";
        readonly "cherry-200": "#e31c5f";
        readonly "cherry-300": "#d70466";
        readonly "luxe-100": "#59086e";
        readonly "luxe-200": "#460479";
        readonly "luxe-300": "#440589";
        readonly "ruby-100": "#bd1e59";
        readonly "ruby-200": "#92174d";
        readonly "ruby-300": "#861453";
    };
    "align-items": {
        readonly start: "flex-start";
        readonly center: "center";
        readonly end: "flex-end";
        readonly baseline: "baseline";
        readonly strecth: "strecth";
    };
    bg: {
        error: "#fff0ee";
        "error-inverse": "#de1135";
        "error-inverse-hover": "#bb032a";
        "error-inverse-pressed": "#950f22";
        "error-secondary": "#ffdfd9";
        "error-tertiary": "#fc7f79";
        "error-field": "rgba(255, 96, 63, 0.2)";
        quaternary: "#f2f2f2";
        "quaternary-hover": "#ebebeb";
        tertiary: "#b0b0b0";
        "tertiary-hover": "#6a6a6a";
        "tertiary-disabled": "#ebebeb";
        "tertiary-brand": "#e00b41";
        "secondary-brand": "#E61E4D";
        secondary: "#f3f3f3";
        "secondary-hover": "#dddddd";
        "secondary-pressed": "#c6c6c6";
        "secondary-disabled": "#f3f3f3";
        "secondary-inverse": "#000000";
        "secondary-inverse-hover": "#222222";
        "secondary-inverse-pressed": "#4b4b4b";
        "secondary-inverse-disabled": "#f7f7f7";
        "primary-brand": "#ff385c";
        primary: "#ffffff";
        "primary-hover": "#f3f3f3";
        "primary-disabled": "#f3f3f3";
        "primary-inverse": "#000000";
        "primary-inverse-hover": "#222222";
        "primary-inverse-pressed": "#4b4b4b";
        "primary-inverse-disabled": "#f3f3f3";
    };
    text: {
        readonly "primary-brand": "linear-gradient(to right, #e61e4d 0%, #e31c5f 50%, #d70466 100%)";
        readonly focused: "#3f3f3f";
        readonly "link-disabled": "#929292";
        readonly primary: "#222222";
        readonly "primary-inverse": "#ffffff";
        readonly "primary-hover": "#000000";
        readonly "primary-disabled": "#a6a6a6";
        readonly secondary: "#6a6a6a";
        readonly "secondary-disabled": "#dddddd";
        readonly success: "#008384";
        readonly "success-hover": "#006266";
        readonly "success-inverse": "#f5ffff";
        readonly "success-inverse-hover": "#ffffff";
        readonly "success-secondary": "#006266";
        readonly warning: "#b86200";
        readonly "warning-hover": "#944f00";
        readonly "warning-inverse": "#fffbf6";
        readonly "warning-inverse-hover": "#ffffff";
        readonly "warning-secondary": "#944f00";
        readonly error: "#d40029";
        readonly "error-hover": "#b80024";
        readonly "error-inverse": "#fff8f6";
        readonly "error-inverse-hover": "#ffffff";
        readonly "error-secondary": "#b80024";
        readonly "error-secondary-inverse": "rgba(255, 96, 63, 0.2)";
        readonly info: "#460479";
        readonly "info-hover": "#390363";
        readonly "info-inverse": "#fbf5ff";
        readonly "info-inverse-hover": "#ffffff";
        readonly "info-secondary": "#390363";
    };
    icon: {
        success: string;
        "success-hover": string;
        warning: string;
        "warning-hover": string;
        error: string;
        "error-hover": string;
        info: string;
        "info-hover": string;
    };
    border: {
        readonly primary: "#222222";
        readonly "primary-hover": "#000000";
        readonly "primary-disabled": "#dddddd";
        readonly "primary-inverse": "#ffffff";
        readonly secondary: "#b0b0b0";
        readonly "secondary-hover": "#222222";
        readonly "secondary-selected": "#222222";
        readonly "secondary-disabled": "#ebebeb";
        readonly "secondary-error": "#c13515";
        readonly tertiary: "#dddddd";
        readonly "tertiary-hover": "#000000";
        readonly "tertiary-selected": "#222222";
        readonly "tertiary-error": "#c13515";
        readonly "tertiary-error-hover": "#b32505";
        readonly quarternary: "#8c8c8c";
    };
    dark: {
        readonly "100": "rgba(0, 0, 0, 1)";
        readonly "90": "rgba(0, 0, 0, 0.94)";
        readonly "80": "rgba(0, 0, 0, 0.84)";
        readonly "70": "rgba(0, 0, 0, 0.72)";
        readonly "60": "rgba(0, 0, 0, 0.54)";
        readonly "50": "rgba(0, 0, 0, 0.44)";
        readonly "40": "rgba(0, 0, 0, 0.2)";
        readonly "30": "rgba(0, 0, 0, 0.12)";
        readonly "20": "rgba(0, 0, 0, 0.08)";
        readonly "10": "rgba(0, 0, 0, 0.04)";
    };
    direction: {
        readonly row: "row";
        readonly "row-reverse": "row-reverse";
        readonly column: "column";
        readonly "column-reverse": "column-reverse";
    };
    display: {
        readonly none: "none";
        readonly block: "block";
        readonly inline: "inline";
        readonly 'inline-block': "inline-block";
        readonly flex: "flex";
        readonly 'inline-flex': "inline-flex";
        readonly grid: "grid";
        readonly 'inline-grid': "inline-grid";
    };
    "flex-wrap": {
        readonly wrap: "wrap";
        readonly nowrap: "nowrap";
    };
    "justify-content": {
        readonly start: "flex-start";
        readonly center: "center";
        readonly end: "flex-end";
        readonly between: "space-between";
        readonly around: "space-around";
        readonly evenly: "space-evenly";
    };
    light: {
        readonly "100": "rgba(255, 255, 255, 1)";
        readonly "90": "rgba(255, 255, 255, 0.84)";
        readonly "80": "rgba(255, 255, 255, 0.71)";
        readonly "70": "rgba(255, 255, 255, 0.54)";
        readonly "60": "rgba(255, 255, 255, 0.4)";
        readonly "50": "rgba(255, 255, 255, 0.2)";
        readonly "40": "rgba(255, 255, 255, 0.16)";
        readonly "30": "rgba(255, 255, 255, 0.1)";
        readonly "20": "rgba(255, 255, 255, 0.06)";
        readonly "10": "rgba(255, 255, 255, 0.02)";
    };
    "text-size-display": {
        xs: string;
        s: string;
        m: string;
        l: string;
    };
    "text-line-display": {
        xs: string;
        s: string;
        m: string;
        l: string;
    };
    "text-size-heading": {
        readonly xs: "1.25rem";
        readonly s: "1.5rem";
        readonly m: "1.75rem";
        readonly l: "2rem";
        readonly xl: "2.25rem";
        readonly xxl: "2.5rem";
    };
    "text-line-heading": {
        readonly xs: "1.75rem";
        readonly s: "2rem";
        readonly m: "2.25rem";
        readonly l: "2.5rem";
        readonly xl: "2.75rem";
        readonly xxl: "3.25rem";
    };
    "text-size-label": {
        readonly xs: "0.75rem";
        readonly s: "0.875rem";
        readonly m: "1rem";
        readonly l: "1.125rem";
        readonly xl: "1.25rem";
        readonly xxl: "1.5rem";
    };
    "text-line-label": {
        readonly xs: "1rem";
        readonly s: "1rem";
        readonly m: "1.25rem";
        readonly l: "1.5rem";
        readonly xl: "1.75rem";
        readonly xxl: "2.25rem";
    };
    "text-size-paragraph": {
        readonly xs: "0.75rem";
        readonly s: "0.875rem";
        readonly m: "1rem";
        readonly l: "1.125rem";
        readonly xl: "1.25rem";
    };
    "text-line-paragraph": {
        readonly xs: "1.25rem";
        readonly s: "1.25rem";
        readonly m: "1.5rem";
        readonly l: "1.75rem";
        readonly xl: "2.25rem";
    };
    "text-weight": {
        readonly thin: "100";
        readonly light: "200";
        readonly book: "300";
        readonly regular: "400";
        readonly medium: "500";
        readonly semibold: "600";
        readonly bold: "700";
        readonly xbold: "800";
        readonly xxbold: "900";
    };
    palette: {
        readonly "crimson-10": "#FFF8F6";
        readonly "crimson-50": "#FFDFD9";
        readonly "crimson-100": "#D40029";
        readonly "crimson-200": "#B80024";
        readonly "crimson-300": "#94001D";
        readonly "tangerine-10": "#FFFBF6";
        readonly "tangerine-50": "#FFEDD9";
        readonly "tangerine-100": "#E07912";
        readonly "tangerine-200": "#B86200";
        readonly "tangerine-300": "#944F00";
        readonly "teal-10": "#F5FFFF";
        readonly "teal-50": "#DBFEFF";
        readonly "teal-100": "#60B6B5";
        readonly "teal-200": "#008384";
        readonly "teal-300": "#006266";
        readonly "indigo-10": "#FBF5FF";
        readonly "indigo-50": "#EFDCFE";
        readonly "indigo-100": "#5E05A3";
        readonly "indigo-200": "#460479";
        readonly "indigo-300": "#390363";
        readonly "dark-100": "#000000";
        readonly "dark-90": "#000100";
        readonly "dark-80": "#222222";
        readonly "dark-70": "#484848";
        readonly "dark-60": "#767676";
        readonly "dark-50": "#8f8f8f";
        readonly "dark-40": "#cccccc";
        readonly "dark-30": "#e0e0e0";
        readonly "dark-20": "#ebebeb";
        readonly "dark-10": "#f5f5f5";
        readonly "dark-05": "#f8f8f8";
    };
    "font-family": {
        readonly primary: "\"IBM Plex Sans\", \"SF Pro Display\", -apple-system,\n  BlinkMacSystemFont, \"Segoe UI\", Roboto, Oxygen-Sans, Ubuntu, Cantarell,\n  \"Helvetica Neue\", sans-serif";
        readonly secondary: "\"IBM Plex Sans\", \"IBM Plex Serif\", \"SF Pro Display\", -apple-system,\n  BlinkMacSystemFont, \"Segoe UI\", Roboto, Oxygen-Sans, Ubuntu, Cantarell,\n  \"Helvetica Neue\", sans-serif";
        readonly monospace: "\"Roboto Mono\", \"Operator Mono\", monospace";
        readonly display: "\"IBM Plex Sans\"";
    };
    gutter: {
        readonly phone: "24px";
        readonly tablet: "32px";
        readonly desktop: "64px";
    };
    radius: {
        readonly none: "0px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly m: "12px";
        readonly l: "16px";
        readonly rounded: "9999999px";
        readonly full: "9999999px";
        readonly field: "var(--tenka-radius-s, 8px)";
        readonly card: "var(--tenka-radius-m, 12px)";
    };
    space: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    "z-index": {
        readonly behind: "-9";
        readonly reset: "auto";
        readonly "0": "0";
        readonly "1": "1";
        readonly "2": "2";
        readonly "3": "3";
        readonly s: "1";
        readonly m: "2";
        readonly l: "3";
        readonly dropdownBackdrop: "90";
        readonly dropdown: "100";
        readonly sticky: "200";
        readonly modalBackdrop: "290";
        readonly modal: "300";
        readonly notification: "400";
        readonly navbar: "999999999";
        readonly top: "9999999999";
    };
    timing: {
        readonly 100: "100ms";
        readonly 200: "200ms";
        readonly 300: "300ms";
        readonly 400: "400ms";
        readonly 500: "500ms";
        readonly 600: "600ms";
        readonly 700: "700ms";
        readonly 800: "800ms";
        readonly 900: "900ms";
        readonly 1000: "1000ms";
    };
    easing: {
        readonly "ease-in": "cubic-bezier(.8, .2, .6, 1)";
        readonly "ease-out": "cubic-bezier(.2, .8, .4, 1)";
        readonly "ease-in-out": "cubic-bezier(0.4, 0, 0.2, 1)";
        readonly "ease-in-quintic": "cubic-bezier(0.755, 0.05, 0.855, 0.06)";
        readonly "ease-out-quintic": "cubic-bezier(0.23, 1, 0.32, 1)";
        readonly "ease-in-out-quintic": "cubic-bezier(0.86, 0, 0.07, 1)";
        readonly linear: "cubic-bezier(0, 0, 1, 1)";
    };
};
